<?xml version='1.0' encoding='UTF-8'?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!DOCTYPE dataset SYSTEM "../../../../../../../dtd/squash-tm.10.0.0.dtd">

<dataset>
	<!--  general setup -->
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-999"/>
  <CAMPAIGN_LIBRARY CL_ID="-1" ATTACHMENT_LIST_ID="-999"/>

	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1"/>
	<PROJECT PROJECT_ID="-1" ATTACHMENT_LIST_ID="-1" CREATED_ON="2012-10-05" CREATED_BY="admin" NAME="project-1" CL_ID="-1"/>

  <!--  root campaign -->
  <CAMPAIGN_LIBRARY_NODE CLN_ID="-2" NAME="campaign-1" CREATED_BY="admin"  CREATED_ON="2012-10-05" ATTACHMENT_LIST_ID="-1" PROJECT_ID="-1"/>
  <CAMPAIGN CLN_ID="-2" ACTUAL_END_AUTO="1" ACTUAL_START_AUTO="1"/>
  <CAMPAIGN_LIBRARY_CONTENT LIBRARY_ID="-1" CONTENT_ID="-2" CONTENT_ORDER="0"/>

  <!--  folder with campaigns -->
  <CAMPAIGN_LIBRARY_NODE CLN_ID="-3" NAME="folder-1" CREATED_BY="admin"  CREATED_ON="2012-10-05" ATTACHMENT_LIST_ID="-1" PROJECT_ID="-1"/>
  <CAMPAIGN_FOLDER CLN_ID="-3"/>
  <CAMPAIGN_LIBRARY_CONTENT LIBRARY_ID="-1" CONTENT_ID="-3" CONTENT_ORDER="1"/>

  <CAMPAIGN_LIBRARY_NODE CLN_ID="-4" NAME="campaign-2" CREATED_BY="admin"  CREATED_ON="2012-10-05" ATTACHMENT_LIST_ID="-1" PROJECT_ID="-1"/>
  <CAMPAIGN CLN_ID="-4" ACTUAL_END_AUTO="1" ACTUAL_START_AUTO="1"/>
  <CLN_RELATIONSHIP ANCESTOR_ID="-3" DESCENDANT_ID="-4" CONTENT_ORDER="0"/>

  <CAMPAIGN_LIBRARY_NODE CLN_ID="-5" NAME="campaign-3" CREATED_BY="admin"  CREATED_ON="2012-10-05" ATTACHMENT_LIST_ID="-1" PROJECT_ID="-1"/>
  <CAMPAIGN CLN_ID="-5" ACTUAL_END_AUTO="1" ACTUAL_START_AUTO="1"/>
  <CLN_RELATIONSHIP ANCESTOR_ID="-3" DESCENDANT_ID="-5" CONTENT_ORDER="1"/>

  <!--  nested folders -->
  <CAMPAIGN_LIBRARY_NODE CLN_ID="-6" NAME="folder-2" CREATED_BY="admin"  CREATED_ON="2012-10-05" ATTACHMENT_LIST_ID="-1" PROJECT_ID="-1"/>
  <CAMPAIGN_FOLDER CLN_ID="-6"/>
  <CAMPAIGN_LIBRARY_CONTENT LIBRARY_ID="-1" CONTENT_ID="-6" CONTENT_ORDER="3"/>

  <CAMPAIGN_LIBRARY_NODE CLN_ID="-7" NAME="folder-2-1" CREATED_BY="admin"  CREATED_ON="2012-10-05" ATTACHMENT_LIST_ID="-1" PROJECT_ID="-1"/>
  <CAMPAIGN_FOLDER CLN_ID="-7"/>
  <CLN_RELATIONSHIP ANCESTOR_ID="-6" DESCENDANT_ID="-7" CONTENT_ORDER="1"/>
</dataset>
